summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-frameworks/qqc2-desktop-style')
-rw-r--r--kde-frameworks/qqc2-desktop-style/Manifest1
-rw-r--r--kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.55.0.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/kde-frameworks/qqc2-desktop-style/Manifest b/kde-frameworks/qqc2-desktop-style/Manifest
index 2acd5268325..c0306a10182 100644
--- a/kde-frameworks/qqc2-desktop-style/Manifest
+++ b/kde-frameworks/qqc2-desktop-style/Manifest
@@ -1 +1,2 @@
DIST qqc2-desktop-style-5.54.0.tar.xz 42988 BLAKE2B 4261647c105db742db369d40de99e1eb7749341ab0e28b48dda4e3a40cfdd174d1927156b11b2acbe775de84c9d0e8a96f5e7992fb489c28a41439f3a2a47ce1 SHA512 3e6881c15051d29819ac8c6d44df6333a1ff79f723866debcf362e70275e4d50fb4e4d6f4b5beb2e58464c024ff01b829887678d4503ceb6c387a704e4b81b66
+DIST qqc2-desktop-style-5.55.0.tar.xz 43440 BLAKE2B b566ed671c6f776b8077b1e1e28ec9baa3655e8798306a106f6fb6231dd30ab88ca13efc148ac2bb77217ac2e4b9114655bc6dcc83b2e7cdbbd30b08f7425b15 SHA512 9ab682b0d3c8756cb9dc2b3d6f45d04b60ceffd4893319c0267f020ebc365ac816471d40f4d4e38aa2e0f691ca307e6f1e0a0a75b2fad8ea7f3b3a33473f8a5d
diff --git a/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.55.0.ebuild b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.55.0.ebuild
new file mode 100644
index 00000000000..744dd4e9250
--- /dev/null
+++ b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.55.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_QTHELP="false"
+inherit kde5
+
+DESCRIPTION="Style for QtQuickControls 2 that uses QWidget's QStyle for painting"
+KEYWORDS="~amd64 ~arm ~x86"
+LICENSE="|| ( GPL-2+ LGPL-3+ )"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kirigami)
+ $(add_qt_dep qtdeclarative '' '' '5=')
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ $(add_qt_dep qtgraphicaleffects)
+ $(add_qt_dep qtquickcontrols2)
+"